Package Details: cryptsetup-nuke-keys 1.7.5-1

Git Clone URL: https://aur.archlinux.org/cryptsetup-nuke-keys.git (read-only)
Package Base: cryptsetup-nuke-keys
Description: cryptsetup patched to nuke all keyslots given a certain passphrase
Upstream URL: https://github.com/offensive-security/cryptsetup-nuke-keys
Keywords: cryptsetup kali nuke-keys
Licenses: GPL
Groups: base
Conflicts: cryptsetup
Provides: cryptsetup
Submitter: atweiden
Maintainer: cjmx
Last Packager: cjmx
Votes: 6
Popularity: 0.019125
First Submitted: 2014-01-07 04:56
Last Updated: 2017-08-08 08:51

Required by (41)

Sources (13)

Pinned Comments

cjmx commented on 2017-08-08 10:25

Make sure to import the gpg keys before building to avoid a verify error.
You can do so by running the following command from the user you're using to build the package.

gpg --keyserver pgp.mit.edu --recv-keys 2A2918243FDE46648D0686F9D9B0577BD93E98FC 0D1D18DEF6496F9B60A600821CE20B5DEB5CE016

Latest Comments

cjmx commented on 2017-08-08 10:25

Make sure to import the gpg keys before building to avoid a verify error.
You can do so by running the following command from the user you're using to build the package.

gpg --keyserver pgp.mit.edu --recv-keys 2A2918243FDE46648D0686F9D9B0577BD93E98FC 0D1D18DEF6496F9B60A600821CE20B5DEB5CE016

clfarron4 commented on 2015-11-24 23:33

Just got to wait for Kali Linux developers to see what they come up with for official patches now.

Mic92 commented on 2015-11-22 20:13

Patch also works without problems against cryptsetup v1.7.
Just tested.

clfarron4 commented on 2015-09-15 21:25

@crinklecutter: If you're building the package, then you have to add the missing key to your keyring (not pacman's keyring).

crinklecutter commented on 2015-09-12 20:00

Installing with yaourt I get:
ERROR: One or more PGP signatures could not be verified!

clfarron4 commented on 2014-10-01 00:02

Builds can be found at http://tiny.cc/arch-nuke-keys

clfarron4 commented on 2014-04-07 22:24

UPPKG 1.6.4-1: https://projects.archlinux.org/svntogit/packages.git/commit/trunk?h=packages/cryptsetup&id=6f58a1ba68f4bec92668cc058d303d33b5dc62e5

clfarron4 commented on 2014-01-13 22:27

Needs to be rebuilt because of https://www.archlinux.org/todo/libgcrypt-160-so-rebuilds/

clfarron4 commented on 2014-01-10 22:16

I'm getting this error:

==> Verifying source file signatures with gpg...
cryptsetup-1.6.3.tar.bz2 ... FAILED (unknown public key D9B0577BD93E98FC)
==> WARNING: Warnings have occurred while verifying the signatures.

Is it just me or is it a known error?